> ## Documentation Index
> Fetch the complete documentation index at: https://docs.devin.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Einstellungen für Security Profiles auf Enterprise-Ebene aktualisieren

> Die Auswahl des standardmäßigen Security Profile für das Enterprise aktualisieren. Nicht angegebene
Felder bleiben unverändert. Nur Profile, die dem Enterprise gehören, dürfen angepinnt werden.

Aktualisiert die Auswahl des Security Profiles für den Unternehmensstandard und gibt die resultierenden Settings zurück.

## Berechtigungen

Erfordert einen [Service-Benutzer](https://docs.devin.ai/de/api-reference/v3/service-users/members-service-users.md) oder ein [persönliches Zugriffstoken](https://docs.devin.ai/de/api-reference/personal-access-tokens.md) mit der Berechtigung `ManageAccountSecureModeProfiles` auf Enterprise-Ebene. Nur für Enterprise-Konten verfügbar.

## Verhalten

* Weggelassene Felder bleiben unverändert. `null` wird abgelehnt; um den Standard zu löschen, senden Sie `{"default": {"selection": "none"}}`.
* `profile_id` ist erforderlich, wenn `selection` den Wert `profile` hat, und muss andernfalls weggelassen werden. Nur Profile, die der Enterprise gehören, können angepinnt werden.
* Ein verbindlicher Unternehmensstandard gilt als Mindestvorgabe: Organisationen, Automatisierungen und Sitzungen können ihn nur weiter einschränken. Siehe [verbindliche vs. empfohlene Erzwingung](https://docs.devin.ai/de/product-guides/security-profiles.md#mandatory-vs-recommended-enforcement).
* Laufende Sitzungen übernehmen die Änderung beim nächsten Start oder Aufwachen.


## OpenAPI

````yaml de/v3-openapi.yaml PATCH /v3beta1/enterprise/security-profile-settings
openapi: 3.1.0
info:
  description: Devin v3 API mit Service-User-Authentifizierung und RBAC
  title: Devin API v3
  version: 3.0.0
servers: []
security:
  - bearerAuth: []
paths:
  /v3beta1/enterprise/security-profile-settings:
    patch:
      tags:
        - security-profiles
      summary: Einstellungen für Security Profiles auf Enterprise-Ebene aktualisieren
      description: >-
        Die Auswahl des standardmäßigen Security Profile für das Enterprise
        aktualisieren. Nicht angegebene

        Felder bleiben unverändert. Nur Profile, die dem Enterprise gehören,
        dürfen angepinnt werden.
      operationId: >-
        handle_update_security_profile_settings_v3beta1_enterprise_security_profile_settings_patch
      requestBody:
        content:
          application/json:
            schema:
              $ref: >-
                #/components/schemas/EnterpriseSecurityProfileSettingsUpdateRequest
        required: true
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/EnterpriseSecurityProfileSettingsResponse'
          description: Erfolgreiche Antwort
        '401':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ProblemDetail'
          description: Nicht authentifiziert
        '403':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ProblemDetail'
          description: Zugriff verweigert
        '404':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ProblemDetail'
          description: Nicht gefunden
        '409':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ProblemDetail'
          description: Konflikt
        '410':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ProblemDetail'
          description: Nicht mehr verfügbar
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ProblemDetail'
          description: Nicht verarbeitbarer Inhalt
        '429':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ProblemDetail'
          description: Zu viele Anfragen
components:
  schemas:
    EnterpriseSecurityProfileSettingsUpdateRequest:
      additionalProperties: false
      description: 'PATCH-Semantik: Weggelassene Felder bleiben unverändert.'
      properties:
        default:
          anyOf:
            - $ref: '#/components/schemas/EnterpriseSecurityProfileDefaultSelection'
            - type: 'null'
      title: EnterpriseSecurityProfileSettingsUpdateRequest
      type: object
    EnterpriseSecurityProfileSettingsResponse:
      additionalProperties: false
      properties:
        default:
          $ref: '#/components/schemas/EnterpriseSecurityProfileDefaultState'
      required:
        - default
      title: EnterpriseSecurityProfileSettingsResponse
      type: object
    ProblemDetail:
      description: >-
        RFC 9457 application/problem+json-Fehlertext für die v3-API.


        detail wird aus dem Legacy-Body {"detail": ...} aus Gründen der
        Abwärtskompatibilität beibehalten; die

        anderen Member sind additiv. errors enthält Validierungsfehler auf
        Feldebene

        (nur 422).
      properties:
        detail:
          anyOf:
            - type: string
            - type: 'null'
          description: Eine menschenlesbare Erklärung, die speziell für diesen Fall gilt.
          title: Detail
        error_code:
          anyOf:
            - type: string
            - type: 'null'
          description: >-
            Maschinenlesbarer Code für die Ablehnung blockierter Aktionen (z. B.
            "user_frozen", "migrated_session").
          title: Error Code
        errors:
          anyOf:
            - items:
                additionalProperties: true
                type: object
              type: array
            - type: 'null'
          description: Validierungsfehler auf Feldebene (nur bei 422-Antworten).
          title: Errors
        instance:
          anyOf:
            - type: string
            - type: 'null'
          description: Eine URI-Referenz (der Anfragepfad) für diesen Fall.
          title: Instance
        status:
          description: Der HTTP-Statuscode.
          title: Status
          type: integer
        title:
          description: Eine kurze, menschenlesbare Zusammenfassung des Problemtyps.
          title: Title
          type: string
        type:
          default: about:blank
          description: Eine URI-Referenz, die den Problemtyp identifiziert.
          title: Type
          type: string
      required:
        - title
        - status
      title: ProblemDetail
      type: object
    EnterpriseSecurityProfileDefaultSelection:
      additionalProperties: false
      description: >-
        Ein Standard mit zwei möglichen Werten: none (kein Standardprofil) oder
        profile (Profil mit

        profile_id anpinnen). Auf Enterprise-Ebene gibt es kein ``inherit`` –
        darüber liegt keine Ebene,

        von der Einstellungen geerbt werden könnten.
      properties:
        profile_id:
          anyOf:
            - type: string
            - type: 'null'
          description: >-
            Erforderlich, wenn selection den Wert 'profile' hat; muss
            andernfalls weggelassen werden.
          title: Profile Id
        selection:
          enum:
            - none
            - profile
          title: Selection
          type: string
      required:
        - selection
      title: EnterpriseSecurityProfileDefaultSelection
      type: object
    EnterpriseSecurityProfileDefaultState:
      additionalProperties: false
      description: Leseansicht der Bindung des Unternehmensstandards.
      properties:
        profile_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Profile Id
        selection:
          enum:
            - none
            - profile
          title: Selection
          type: string
      required:
        - selection
      title: EnterpriseSecurityProfileDefaultState
      type: object
  securitySchemes:
    bearerAuth:
      description: 'Servicebenutzer-Anmeldedaten (Präfix: cog_)'
      scheme: bearer
      type: http

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.